#!/bin/bash

. mkit/include/build.sh  || die "cannot import ini.sh"
. mkit/include/deploy.sh || die "cannot import ini.sh"
. mkit/include/ini.sh    || die "cannot import ini.sh"

MKIT_INI=${MKIT_INI:-mkit/config.ini}
MKIT_INI_EXPAND=2
MKIT_PROJNAME=$(ini 1value "ENV:PROJNAME")

configure() {
    #
    # Load variables fdom config.mk
    #
    tmp=$(mktemp)
    sed -e 's/ = /=/' < config.mk > $tmp
    . $tmp
    rm -f $tmp
    PREFIX="$(readlink -f "$PREFIX")"
}

die() {
    #
    # Exit with message and non-zero exit status
    #
    echo "$@" >&2
    exit 4
}

route() {
    #
    # Call correct function based on $1
    #
    case $1 in
        build|build_manpages|clean|dist|install|uninstall)
            $1
            ;;
        *)
            echo "usage: $(basename $0) build|clean|dist|install|uninstall" >&2
    esac
}
